unit schPedidosProveedorClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_PedidosProveedor = '{108608DE-F001-4811-B6AF-0157C60CF651}';
  RID_PedidosProveedor_Detalles = '{5B1D978C-39DB-40AD-8FEB-3C80B2C5F041}';
  RID_PedidosProveedor_Refresh = '{F8A1EB9F-7D8B-46C2-AF9D-23161ED1EA4F}';

  { Data table names }
  nme_PedidosProveedor = 'PedidosProveedor';
  nme_PedidosProveedor_Detalles = 'PedidosProveedor_Detalles';
  nme_PedidosProveedor_Refresh = 'PedidosProveedor_Refresh';

  { PedidosProveedor fields }
  fld_PedidosProveedorID = 'ID';
  fld_PedidosProveedorID_EMPRESA = 'ID_EMPRESA';
  fld_PedidosProveedorID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_PedidosProveedorID_MONTAJE = 'ID_MONTAJE';
  fld_PedidosProveedorUSUARIO = 'USUARIO';
  fld_PedidosProveedorFECHA_PEDIDO = 'FECHA_PEDIDO';
  fld_PedidosProveedorFECHA_CONFIRMACION = 'FECHA_CONFIRMACION';
  fld_PedidosProveedorFECHA_ENTREGA = 'FECHA_ENTREGA';
  fld_PedidosProveedorSITUACION = 'SITUACION';
  fld_PedidosProveedorDIRECCION_ENTREGA = 'DIRECCION_ENTREGA';
  fld_PedidosProveedorREFERENCIA = 'REFERENCIA';
  fld_PedidosProveedorIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_PedidosProveedorINCIDENCIAS = 'INCIDENCIAS';
  fld_PedidosProveedorINCIDENCIAS_ACTIVAS = 'INCIDENCIAS_ACTIVAS';
  fld_PedidosProveedorOBSERVACIONES = 'OBSERVACIONES';
  fld_PedidosProveedorNOMBRE = 'NOMBRE';
  fld_PedidosProveedorFECHA_ALTA = 'FECHA_ALTA';
  fld_PedidosProveedorFECHA_MODIFICACION = 'FECHA_MODIFICACION';

  { PedidosProveedor field indexes }
  idx_PedidosProveedorID = 0;
  idx_PedidosProveedorID_EMPRESA = 1;
  idx_PedidosProveedorID_PROVEEDOR = 2;
  idx_PedidosProveedorID_MONTAJE = 3;
  idx_PedidosProveedorUSUARIO = 4;
  idx_PedidosProveedorFECHA_PEDIDO = 5;
  idx_PedidosProveedorFECHA_CONFIRMACION = 6;
  idx_PedidosProveedorFECHA_ENTREGA = 7;
  idx_PedidosProveedorSITUACION = 8;
  idx_PedidosProveedorDIRECCION_ENTREGA = 9;
  idx_PedidosProveedorREFERENCIA = 10;
  idx_PedidosProveedorIMPORTE_TOTAL = 11;
  idx_PedidosProveedorINCIDENCIAS = 12;
  idx_PedidosProveedorINCIDENCIAS_ACTIVAS = 13;
  idx_PedidosProveedorOBSERVACIONES = 14;
  idx_PedidosProveedorNOMBRE = 15;
  idx_PedidosProveedorFECHA_ALTA = 16;
  idx_PedidosProveedorFECHA_MODIFICACION = 17;

  { PedidosProveedor_Detalles fields }
  fld_PedidosProveedor_DetallesID = 'ID';
  fld_PedidosProveedor_DetallesID_PEDIDO = 'ID_PEDIDO';
  fld_PedidosProveedor_DetallesPOSICION = 'POSICION';
  fld_PedidosProveedor_DetallesTIPO_DETALLE = 'TIPO_DETALLE';
  fld_PedidosProveedor_DetallesREFERENCIA = 'REFERENCIA';
  fld_PedidosProveedor_DetallesCONCEPTO = 'CONCEPTO';
  fld_PedidosProveedor_DetallesCANTIDAD = 'CANTIDAD';
  fld_PedidosProveedor_DetallesIMPORTE_UNIDAD = 'IMPORTE_UNIDAD';
  fld_PedidosProveedor_DetallesIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_PedidosProveedor_DetallesVISIBLE = 'VISIBLE';

  { PedidosProveedor_Detalles field indexes }
  idx_PedidosProveedor_DetallesID = 0;
  idx_PedidosProveedor_DetallesID_PEDIDO = 1;
  idx_PedidosProveedor_DetallesPOSICION = 2;
  idx_PedidosProveedor_DetallesTIPO_DETALLE = 3;
  idx_PedidosProveedor_DetallesREFERENCIA = 4;
  idx_PedidosProveedor_DetallesCONCEPTO = 5;
  idx_PedidosProveedor_DetallesCANTIDAD = 6;
  idx_PedidosProveedor_DetallesIMPORTE_UNIDAD = 7;
  idx_PedidosProveedor_DetallesIMPORTE_TOTAL = 8;
  idx_PedidosProveedor_DetallesVISIBLE = 9;

  { PedidosProveedor_Refresh fields }
  fld_PedidosProveedor_RefreshID = 'ID';
  fld_PedidosProveedor_RefreshID_EMPRESA = 'ID_EMPRESA';
  fld_PedidosProveedor_RefreshID_PROVEEDOR = 'ID_PROVEEDOR';
  fld_PedidosProveedor_RefreshID_MONTAJE = 'ID_MONTAJE';
  fld_PedidosProveedor_RefreshUSUARIO = 'USUARIO';
  fld_PedidosProveedor_RefreshFECHA_PEDIDO = 'FECHA_PEDIDO';
  fld_PedidosProveedor_RefreshFECHA_CONFIRMACION = 'FECHA_CONFIRMACION';
  fld_PedidosProveedor_RefreshFECHA_ENTREGA = 'FECHA_ENTREGA';
  fld_PedidosProveedor_RefreshSITUACION = 'SITUACION';
  fld_PedidosProveedor_RefreshDIRECCION_ENTREGA = 'DIRECCION_ENTREGA';
  fld_PedidosProveedor_RefreshREFERENCIA = 'REFERENCIA';
  fld_PedidosProveedor_RefreshIMPORTE_TOTAL = 'IMPORTE_TOTAL';
  fld_PedidosProveedor_RefreshINCIDENCIAS = 'INCIDENCIAS';
  fld_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS = 'INCIDENCIAS_ACTIVAS';
  fld_PedidosProveedor_RefreshOBSERVACIONES = 'OBSERVACIONES';
  fld_PedidosProveedor_RefreshNOMBRE = 'NOMBRE';
  fld_PedidosProveedor_RefreshFECHA_ALTA = 'FECHA_ALTA';
  fld_PedidosProveedor_RefreshFECHA_MODIFICACION = 'FECHA_MODIFICACION';

  { PedidosProveedor_Refresh field indexes }
  idx_PedidosProveedor_RefreshID = 0;
  idx_PedidosProveedor_RefreshID_EMPRESA = 1;
  idx_PedidosProveedor_RefreshID_PROVEEDOR = 2;
  idx_PedidosProveedor_RefreshID_MONTAJE = 3;
  idx_PedidosProveedor_RefreshUSUARIO = 4;
  idx_PedidosProveedor_RefreshFECHA_PEDIDO = 5;
  idx_PedidosProveedor_RefreshFECHA_CONFIRMACION = 6;
  idx_PedidosProveedor_RefreshFECHA_ENTREGA = 7;
  idx_PedidosProveedor_RefreshSITUACION = 8;
  idx_PedidosProveedor_RefreshDIRECCION_ENTREGA = 9;
  idx_PedidosProveedor_RefreshREFERENCIA = 10;
  idx_PedidosProveedor_RefreshIMPORTE_TOTAL = 11;
  idx_PedidosProveedor_RefreshINCIDENCIAS = 12;
  idx_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS = 13;
  idx_PedidosProveedor_RefreshOBSERVACIONES = 14;
  idx_PedidosProveedor_RefreshNOMBRE = 15;
  idx_PedidosProveedor_RefreshFECHA_ALTA = 16;
  idx_PedidosProveedor_RefreshFECHA_MODIFICACION = 17;

type
  { IPedidosProveedor }
  IPedidosProveedor = interface(IDAStronglyTypedDataTable)
  ['{8E45CA6A-13F3-4AD6-B1FD-4D09235FE4B1}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetID_MONTAJEValue: Integer;
    procedure SetID_MONTAJEValue(const aValue: Integer);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetFECHA_PEDIDOValue: DateTime;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime);
    function GetFECHA_CONFIRMACIONValue: DateTime;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
    function GetFECHA_ENTREGAValue: DateTime;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetDIRECCION_ENTREGAValue: IROStrings;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetINCIDENCIASValue: IROStrings;
    procedure SetINCIDENCIASValue(const aValue: IROStrings);
    function GetINCIDENCIAS_ACTIVASValue: Integer;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
    function GetOBSERVACIONESValue: IROStrings;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHA_PEDIDO: DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION: DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA: DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property DIRECCION_ENTREGA: IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property INCIDENCIAS: IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS: Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES: IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
  end;

  { TPedidosProveedorDataTableRules }
  TPedidosProveedorDataTableRules = class(TDADataTableRules, IPedidosProveedor)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_PEDIDOValue: DateTime; virtual;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime); virtual;
    function GetFECHA_CONFIRMACIONValue: DateTime; virtual;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_ENTREGAValue: DateTime; virtual;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetDIRECCION_ENTREGAValue: IROStrings; virtual;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetINCIDENCIASValue: IROStrings; virtual;
    procedure SetINCIDENCIASValue(const aValue: IROStrings); virtual;
    function GetINCIDENCIAS_ACTIVASValue: Integer; virtual;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHA_PEDIDO: DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION: DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA: DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property DIRECCION_ENTREGA: IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property INCIDENCIAS: IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS: Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES: IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IPedidosProveedor_Detalles }
  IPedidosProveedor_Detalles = interface(IDAStronglyTypedDataTable)
  ['{9E5E78EE-2583-4CBA-9FDA-7DBE7AFE3210}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_PEDIDOValue: Integer;
    procedure SetID_PEDIDOValue(const aValue: Integer);
    function GetPOSICIONValue: Integer;
    procedure SetPOSICIONValue(const aValue: Integer);
    function GetTIPO_DETALLEValue: String;
    procedure SetTIPO_DETALLEValue(const aValue: String);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetCONCEPTOValue: String;
    procedure SetCONCEPTOValue(const aValue: String);
    function GetCANTIDADValue: Integer;
    procedure SetCANTIDADValue(const aValue: Integer);
    function GetIMPORTE_UNIDADValue: Float;
    procedure SetIMPORTE_UNIDADValue(const aValue: Float);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetVISIBLEValue: Integer;
    procedure SetVISIBLEValue(const aValue: Integer);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_PEDIDO: Integer read GetID_PEDIDOValue write SetID_PEDIDOValue;
    property POSICION: Integer read GetPOSICIONValue write SetPOSICIONValue;
    property TIPO_DETALLE: String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property CONCEPTO: String read GetCONCEPTOValue write SetCONCEPTOValue;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property IMPORTE_UNIDAD: Float read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property VISIBLE: Integer read GetVISIBLEValue write SetVISIBLEValue;
  end;

  { TPedidosProveedor_DetallesDataTableRules }
  TPedidosProveedor_DetallesDataTableRules = class(TDADataTableRules, IPedidosProveedor_Detalles)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_PEDIDOValue: Integer; virtual;
    procedure SetID_PEDIDOValue(const aValue: Integer); virtual;
    function GetPOSICIONValue: Integer; virtual;
    procedure SetPOSICIONValue(const aValue: Integer); virtual;
    function GetTIPO_DETALLEValue: String; virtual;
    procedure SetTIPO_DETALLEValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetCONCEPTOValue: String; virtual;
    procedure SetCONCEPTOValue(const aValue: String); virtual;
    function GetCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDADValue: Float; virtual;
    procedure SetIMPORTE_UNIDADValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetVISIBLEValue: Integer; virtual;
    procedure SetVISIBLEValue(const aValue: Integer); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_PEDIDO: Integer read GetID_PEDIDOValue write SetID_PEDIDOValue;
    property POSICION: Integer read GetPOSICIONValue write SetPOSICIONValue;
    property TIPO_DETALLE: String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property CONCEPTO: String read GetCONCEPTOValue write SetCONCEPTOValue;
    property CANTIDAD: Integer read GetCANTIDADValue write SetCANTIDADValue;
    property IMPORTE_UNIDAD: Float read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property VISIBLE: Integer read GetVISIBLEValue write SetVISIBLEValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IPedidosProveedor_Refresh }
  IPedidosProveedor_Refresh = interface(IDAStronglyTypedDataTable)
  ['{194FFB0B-12F7-494F-86E0-FBDB2EA853CE}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_PROVEEDORValue: Integer;
    procedure SetID_PROVEEDORValue(const aValue: Integer);
    function GetID_MONTAJEValue: Integer;
    procedure SetID_MONTAJEValue(const aValue: Integer);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetFECHA_PEDIDOValue: DateTime;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime);
    function GetFECHA_CONFIRMACIONValue: DateTime;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
    function GetFECHA_ENTREGAValue: DateTime;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime);
    function GetSITUACIONValue: String;
    procedure SetSITUACIONValue(const aValue: String);
    function GetDIRECCION_ENTREGAValue: IROStrings;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetIMPORTE_TOTALValue: Float;
    procedure SetIMPORTE_TOTALValue(const aValue: Float);
    function GetINCIDENCIASValue: IROStrings;
    procedure SetINCIDENCIASValue(const aValue: IROStrings);
    function GetINCIDENCIAS_ACTIVASValue: Integer;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
    function GetOBSERVACIONESValue: IROStrings;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHA_PEDIDO: DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION: DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA: DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property DIRECCION_ENTREGA: IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property INCIDENCIAS: IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS: Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES: IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
  end;

  { TPedidosProveedor_RefreshDataTableRules }
  TPedidosProveedor_RefreshDataTableRules = class(TDADataTableRules, IPedidosProveedor_Refresh)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetID_MONTAJEValue: Integer; virtual;
    procedure SetID_MONTAJEValue(const aValue: Integer); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_PEDIDOValue: DateTime; virtual;
    procedure SetFECHA_PEDIDOValue(const aValue: DateTime); virtual;
    function GetFECHA_CONFIRMACIONValue: DateTime; virtual;
    procedure SetFECHA_CONFIRMACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_ENTREGAValue: DateTime; virtual;
    procedure SetFECHA_ENTREGAValue(const aValue: DateTime); virtual;
    function GetSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetDIRECCION_ENTREGAValue: IROStrings; virtual;
    procedure SetDIRECCION_ENTREGAValue(const aValue: IROStrings); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetINCIDENCIASValue: IROStrings; virtual;
    procedure SetINCIDENCIASValue(const aValue: IROStrings); virtual;
    function GetINCIDENCIAS_ACTIVASValue: Integer; virtual;
    procedure SetINCIDENCIAS_ACTIVASValue(const aValue: Integer); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_PROVEEDOR: Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property ID_MONTAJE: Integer read GetID_MONTAJEValue write SetID_MONTAJEValue;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property FECHA_PEDIDO: DateTime read GetFECHA_PEDIDOValue write SetFECHA_PEDIDOValue;
    property FECHA_CONFIRMACION: DateTime read GetFECHA_CONFIRMACIONValue write SetFECHA_CONFIRMACIONValue;
    property FECHA_ENTREGA: DateTime read GetFECHA_ENTREGAValue write SetFECHA_ENTREGAValue;
    property SITUACION: String read GetSITUACIONValue write SetSITUACIONValue;
    property DIRECCION_ENTREGA: IROStrings read GetDIRECCION_ENTREGAValue write SetDIRECCION_ENTREGAValue;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property IMPORTE_TOTAL: Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property INCIDENCIAS: IROStrings read GetINCIDENCIASValue write SetINCIDENCIASValue;
    property INCIDENCIAS_ACTIVAS: Integer read GetINCIDENCIAS_ACTIVASValue write SetINCIDENCIAS_ACTIVASValue;
    property OBSERVACIONES: IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TPedidosProveedorDataTableRules }
constructor TPedidosProveedorDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TPedidosProveedorDataTableRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedorDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedorID].AsInteger;
end;

procedure TPedidosProveedorDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedorID].AsInteger := aValue;
end;

function TPedidosProveedorDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedorID_EMPRESA].AsInteger;
end;

procedure TPedidosProveedorDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedorID_EMPRESA].AsInteger := aValue;
end;

function TPedidosProveedorDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedorID_PROVEEDOR].AsInteger;
end;

procedure TPedidosProveedorDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedorID_PROVEEDOR].AsInteger := aValue;
end;

function TPedidosProveedorDataTableRules.GetID_MONTAJEValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedorID_MONTAJE].AsInteger;
end;

procedure TPedidosProveedorDataTableRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedorID_MONTAJE].AsInteger := aValue;
end;

function TPedidosProveedorDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedorUSUARIO].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedorUSUARIO].AsString := aValue;
end;

function TPedidosProveedorDataTableRules.GetFECHA_PEDIDOValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedorFECHA_PEDIDO].AsDateTime;
end;

procedure TPedidosProveedorDataTableRules.SetFECHA_PEDIDOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedorFECHA_PEDIDO].AsDateTime := aValue;
end;

function TPedidosProveedorDataTableRules.GetFECHA_CONFIRMACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedorFECHA_CONFIRMACION].AsDateTime;
end;

procedure TPedidosProveedorDataTableRules.SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedorFECHA_CONFIRMACION].AsDateTime := aValue;
end;

function TPedidosProveedorDataTableRules.GetFECHA_ENTREGAValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedorFECHA_ENTREGA].AsDateTime;
end;

procedure TPedidosProveedorDataTableRules.SetFECHA_ENTREGAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedorFECHA_ENTREGA].AsDateTime := aValue;
end;

function TPedidosProveedorDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedorSITUACION].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedorSITUACION].AsString := aValue;
end;

function TPedidosProveedorDataTableRules.GetDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedorDIRECCION_ENTREGA].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedorDIRECCION_ENTREGA].AsString := aValue.Text;
end;

function TPedidosProveedorDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedorREFERENCIA].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedorREFERENCIA].AsString := aValue;
end;

function TPedidosProveedorDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_PedidosProveedorIMPORTE_TOTAL].AsFloat;
end;

procedure TPedidosProveedorDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_PedidosProveedorIMPORTE_TOTAL].AsFloat := aValue;
end;

function TPedidosProveedorDataTableRules.GetINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedorINCIDENCIAS].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetINCIDENCIASValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedorINCIDENCIAS].AsString := aValue.Text;
end;

function TPedidosProveedorDataTableRules.GetINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedorINCIDENCIAS_ACTIVAS].AsInteger;
end;

procedure TPedidosProveedorDataTableRules.SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedorINCIDENCIAS_ACTIVAS].AsInteger := aValue;
end;

function TPedidosProveedorDataTableRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedorOBSERVACIONES].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedorOBSERVACIONES].AsString := aValue.Text;
end;

function TPedidosProveedorDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedorNOMBRE].AsString;
end;

procedure TPedidosProveedorDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedorNOMBRE].AsString := aValue;
end;

function TPedidosProveedorDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedorFECHA_ALTA].AsDateTime;
end;

procedure TPedidosProveedorDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedorFECHA_ALTA].AsDateTime := aValue;
end;

function TPedidosProveedorDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedorFECHA_MODIFICACION].AsDateTime;
end;

procedure TPedidosProveedorDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedorFECHA_MODIFICACION].AsDateTime := aValue;
end;


{ TPedidosProveedor_DetallesDataTableRules }
constructor TPedidosProveedor_DetallesDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TPedidosProveedor_DetallesDataTableRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedor_DetallesDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesID].AsInteger;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesID].AsInteger := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetID_PEDIDOValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesID_PEDIDO].AsInteger;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetID_PEDIDOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesID_PEDIDO].AsInteger := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetPOSICIONValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesPOSICION].AsInteger;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetPOSICIONValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesPOSICION].AsInteger := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetTIPO_DETALLEValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesTIPO_DETALLE].AsString;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetTIPO_DETALLEValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesTIPO_DETALLE].AsString := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesREFERENCIA].AsString;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesREFERENCIA].AsString := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetCONCEPTOValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesCONCEPTO].AsString;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetCONCEPTOValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesCONCEPTO].AsString := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetCANTIDADValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesCANTIDAD].AsInteger;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetCANTIDADValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesCANTIDAD].AsInteger := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetIMPORTE_UNIDADValue: Float;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesIMPORTE_UNIDAD].AsFloat;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetIMPORTE_UNIDADValue(const aValue: Float);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesIMPORTE_UNIDAD].AsFloat := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesIMPORTE_TOTAL].AsFloat;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesIMPORTE_TOTAL].AsFloat := aValue;
end;

function TPedidosProveedor_DetallesDataTableRules.GetVISIBLEValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_DetallesVISIBLE].AsInteger;
end;

procedure TPedidosProveedor_DetallesDataTableRules.SetVISIBLEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_DetallesVISIBLE].AsInteger := aValue;
end;


{ TPedidosProveedor_RefreshDataTableRules }
constructor TPedidosProveedor_RefreshDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TPedidosProveedor_RefreshDataTableRules.Destroy;
begin
  inherited;
end;

function TPedidosProveedor_RefreshDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshID].AsInteger;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshID].AsInteger := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshID_EMPRESA].AsInteger;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshID_EMPRESA].AsInteger := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetID_PROVEEDORValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshID_PROVEEDOR].AsInteger;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshID_PROVEEDOR].AsInteger := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetID_MONTAJEValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshID_MONTAJE].AsInteger;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetID_MONTAJEValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshID_MONTAJE].AsInteger := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshUSUARIO].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshUSUARIO].AsString := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetFECHA_PEDIDOValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_PEDIDO].AsDateTime;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetFECHA_PEDIDOValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_PEDIDO].AsDateTime := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetFECHA_CONFIRMACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_CONFIRMACION].AsDateTime;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetFECHA_CONFIRMACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_CONFIRMACION].AsDateTime := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetFECHA_ENTREGAValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_ENTREGA].AsDateTime;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetFECHA_ENTREGAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_ENTREGA].AsDateTime := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetSITUACIONValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshSITUACION].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetSITUACIONValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshSITUACION].AsString := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetDIRECCION_ENTREGAValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedor_RefreshDIRECCION_ENTREGA].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetDIRECCION_ENTREGAValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshDIRECCION_ENTREGA].AsString := aValue.Text;
end;

function TPedidosProveedor_RefreshDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshREFERENCIA].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshREFERENCIA].AsString := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetIMPORTE_TOTALValue: Float;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshIMPORTE_TOTAL].AsFloat;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshIMPORTE_TOTAL].AsFloat := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetINCIDENCIASValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedor_RefreshINCIDENCIAS].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetINCIDENCIASValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshINCIDENCIAS].AsString := aValue.Text;
end;

function TPedidosProveedor_RefreshDataTableRules.GetINCIDENCIAS_ACTIVASValue: Integer;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS].AsInteger;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetINCIDENCIAS_ACTIVASValue(const aValue: Integer);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshINCIDENCIAS_ACTIVAS].AsInteger := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := DataTable.Fields[idx_PedidosProveedor_RefreshOBSERVACIONES].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshOBSERVACIONES].AsString := aValue.Text;
end;

function TPedidosProveedor_RefreshDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshNOMBRE].AsString;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshNOMBRE].AsString := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_ALTA].AsDateTime;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_ALTA].AsDateTime := aValue;
end;

function TPedidosProveedor_RefreshDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_MODIFICACION].AsDateTime;
end;

procedure TPedidosProveedor_RefreshDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_PedidosProveedor_RefreshFECHA_MODIFICACION].AsDateTime := aValue;
end;


initialization
  RegisterDataTableRules(RID_PedidosProveedor, TPedidosProveedorDataTableRules);
  RegisterDataTableRules(RID_PedidosProveedor_Detalles, TPedidosProveedor_DetallesDataTableRules);
  RegisterDataTableRules(RID_PedidosProveedor_Refresh, TPedidosProveedor_RefreshDataTableRules);

end.
